> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Box Hubの項目を管理

> Box HubからBox Hubの項目を追加または削除します。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2025.0-jp.json POST /hubs/{hub_id}/manage_items
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: アーカイブを管理するために使用される、一連のエンドポイント。
    x-box-tag: archives
  - name: Enterprise構成
    description: 管理者がBox製品の動作を制御するために操作するEnterprise構成。
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Genは、ドキュメントを自動的に生成するために使用されます。
    x-box-tag: docgen
  - name: Box Doc Genテンプレート
    description: Doc Genテンプレートは、ドキュメントを生成するための入力として使用されます。
    x-box-tag: docgen_template
  - name: 外部ユーザー
    description: 外部ユーザーは、自社に所属していないコラボレータです。
    x-box-tag: external_users
  - name: Box Hubs
    description: Box Hubsを管理するために使用される、一連のエンドポイント。
    x-box-tag: hubs
  - name: Box Hubコラボレーション
    description: Box Hub内のコラボレーションを管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_collaborations
  - name: Box Hubドキュメント
    description: Box Hubドキュメント要素 (ページとコンテンツブロック) を取得するために使用される、一連のエンドポイント。
    x-box-tag: hub_document
  - name: Box Hubの項目
    description: Box Hub内の項目を管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_items
  - name: Shieldリスト
    description: Shieldリストを使用すると、管理者は、さまざまなShieldスマートアクセスルールや脅威検出ルールで共有される項目のリストを作成できます。
    x-box-tag: shield_lists
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /hubs/{hub_id}/manage_items:
    post:
      tags:
        - Box Hubの項目
      summary: Box Hubの項目を管理
      description: Box HubからBox Hubの項目を追加または削除します。
      operationId: post_hubs_id_manage_items_v2025.0
      parameters:
        - name: hub_id
          in: path
          description: >-
            Hubを表す一意の識別子。


            HubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/hubs/123`の場合、`hub_id`は`123`です。
          required: true
          schema:
            type: string
          example: '12345'
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HubItemsManageRequest'
      responses:
        '207':
          description: すべての操作のステータスを取得します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HubItemsManageResponse'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Box Hubが見つからない場合、またはユーザーにBox Hubへのアクセス権限が与えられていない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Box Hubの項目を管理
          source: |-
            curl -i -X POST "https://api.box.com/2.0/hubs/12345/manage_items" \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>" \
                 -H "content-type: application/json" \
                 -d '{
                   "operations": [
                     {
                       "action": "add",
                       "item": {
                         "type": "folder",
                         "id": "123456789"
                       }
                     }
                   ]
                 }'
        - lang: dotnet
          label: Box Hubの項目を管理
          source: >-
            await client.HubItems.ManageHubItemsV2025R0Async(hubId:
            createdHub.Id, requestBody: new HubItemsManageRequestV2025R0() {
            Operations = Array.AsReadOnly(new [] {new
            HubItemOperationV2025R0(action:
            HubItemOperationV2025R0ActionField.Add, item: new
            FolderReferenceV2025R0(id: folder.Id))}) });
        - lang: java
          label: Box Hubの項目を管理
          source: >-
            client.getHubItems().manageHubItemsV2025R0(createdHub.getId(), new
            HubItemsManageRequestV2025R0.Builder().operations(Arrays.asList(new
            HubItemOperationV2025R0(HubItemOperationV2025R0ActionField.ADD, new
            FolderReferenceV2025R0(folder.getId())))).build())
        - lang: node
          label: Box Hubの項目を管理
          source: |-
            await client.hubItems.manageHubItemsV2025R0(createdHub.id, {
              operations: [
                {
                  action: 'add' as HubItemOperationV2025R0ActionField,
                  item: new FolderReferenceV2025R0({ id: folder.id }),
                } satisfies HubItemOperationV2025R0,
              ],
            } satisfies HubItemsManageRequestV2025R0);
        - lang: python
          label: Box Hubの項目を管理
          source: |-
            client.hub_items.manage_hub_items_v2025_r0(
                created_hub.id,
                operations=[
                    HubItemOperationV2025R0(
                        action=HubItemOperationV2025R0ActionField.ADD,
                        item=FolderReferenceV2025R0(id=folder.id),
                    )
                ],
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    HubItemsManageRequest:
      description: Box Hubの項目を管理するためのリクエストのスキーマ。
      type: object
      properties:
        operations:
          description: Box Hubの項目に対して実行する操作のリスト。
          type: array
          items:
            $ref: '#/components/schemas/HubItemOperation'
      title: Box Hubの項目の管理リクエスト
    HubItemsManageResponse:
      description: Box Hubの項目の管理操作のステータスを表すレスポンスのスキーマ。
      type: object
      properties:
        operations:
          description: Box Hubの項目に対して実行された操作のリスト。
          type: array
          items:
            $ref: '#/components/schemas/HubItemOperationResult'
      required:
        - operations
      title: Box Hubの項目の管理のレスポンス
      x-box-resource-id: hub_items_manage_response_v2025.0
      x-box-tag: hub_items
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2025.0
    HubItemOperation:
      description: Box Hubの項目に対して実行する操作。
      type: object
      properties:
        action:
          description: Box Hubの項目に対して実行する操作。
          type: string
          example: add
          enum:
            - add
            - remove
          nullable: false
          title: Box Hubの操作
        item:
          $ref: '#/components/schemas/HubItemReference'
        parent_id:
          description: >-
            項目の追加先となる親ブロックのID。項目リストブロックである必要があります。指定されていない場合、項目は、最初のページの最初の項目リストブロックに追加されます。
          type: string
          example: c9588f08-22d7-4d17-8ca9-f1e61c98c0bd
      required:
        - action
        - item
      title: Box Hubの項目の操作
    HubItemOperationResult:
      description: Box Hubの項目の操作の結果。
      type: object
      properties:
        action:
          description: 項目に対して実行された操作。
          type: string
          example: add
        item:
          $ref: '#/components/schemas/HubItemReference'
        parent_id:
          description: 項目が追加された親ブロックのID。
          type: string
          example: 721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e
        status:
          description: 操作のHTTPステータスコード。
          type: integer
          example: 200
        error:
          description: 操作が失敗した場合のエラーメッセージ。
          type: string
          example: Item not found
      title: Box Hubの項目の操作結果
    HubItemReference:
      description: Box Hubに追加できる項目への参照。
      oneOf:
        - $ref: '#/components/schemas/FileReference'
        - $ref: '#/components/schemas/FolderReference'
        - $ref: '#/components/schemas/WeblinkReference'
      title: Box Hubの項目の参照
    FileReference:
      description: ファイル参照。
      type: object
      properties:
        type:
          description: 値は常に`file`になります。
          type: string
          example: file
          enum:
            - file
          nullable: false
        id:
          description: オブジェクトのID。
          type: string
          example: '42037322'
          nullable: false
      required:
        - type
        - id
      title: ファイル参照
    FolderReference:
      description: フォルダの参照。
      type: object
      properties:
        type:
          description: 値は常に`folder`になります。
          type: string
          example: folder
          enum:
            - folder
          nullable: false
        id:
          description: フォルダのID。
          type: string
          example: '42037322'
      required:
        - type
        - id
      title: フォルダの参照
    WeblinkReference:
      description: ウェブリンクの参照。
      type: object
      properties:
        type:
          description: 値は常に`web_link`になります。
          type: string
          example: web_link
          enum:
            - web_link
          nullable: false
        id:
          description: ウェブリンクのID。
          type: string
          example: '42037322'
          nullable: false
      required:
        - type
        - id
      title: ウェブリンクの参照
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````